/********************************************************************
 * Copyright © 2004 VHA. All rights reserved
 ********************************************************************/
// Package
package gov.va.med.fw.report.data;

// Java classes
import java.util.ArrayList;
import java.util.List;

// Library classes
import org.apache.commons.lang.Validate;

// Framework classes

// ESR classes

/**
 * 
 *
 * Project: Framework</br>
 * Created on: 10:29:45 AM </br>
 *
 * @author DNS   LEV
 */
public class PostProcessedList extends ArrayList {

	/**
	 * An instance of serialVersionUID
	 */
	private static final long serialVersionUID = -5604809444410015740L;

	private List originalList = null;
	
	/**
	 * An instance of a modified collection containing 
	 * the original collection for comparison 
	 * @param modified A modified collection 
	 * @param original An original collection
	 */
	public PostProcessedList( List modified, List original ) {
		super(modified);
		Validate.notNull( original );
		this.originalList = original;
	}

	/**
	 * @return Returns the originalList.
	 */
	public List getOriginalList() {
		return originalList;
	}

	public int getDeltaInSize() {
		return (this.originalList.size() - this.size());
	}
}
